LinkPay Notification
Request
Request Body schema
eventCode
string<= 32 characters
Required
Enum: LinkPayDrop-in
The type of notification.
merchantOrderInfo
object
Required
Merchant order information object
paymentMethod
object
Payment method object
result
object
Required
Result object
transInitiator
object
Required
transactionInfo
object
Required
Transaction information object
POST
/payment_webhookTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/payment_webhook' \
-d '{
"merchantOrderInfo": {
"merchantOrderID": "T506061749179793117",
"status": "Paid"
},
"paymentMethod": {
"card": {
"first6No": "489533",
"fundingType": "credit",
"issuingCountry": "USA",
"last4No": "1119",
"paymentBrand": "Visa"
},
"type": "card"
},
"result": {
"code": "S0000",
"message": "success"
},
"transactionInfo": {
"evoTransInfo": {
"evoTransID": "pay_250606111750000121100793",
"evoTransTime": "2025-06-06T03:17:50Z",
"retrievalReferenceNum": "515711112257",
"traceNum": "112257",
"useInternalApiMapping": false
},
"merchantTransInfo": {
"merchantOrderReference": "T506061749179793117",
"merchantTransID": "f24c607f70064045961535b97c141972",
"merchantTransTime": "2025-06-06T11:17:50+08:00"
},
"pspTransInfo": {
"authorizationCode": "088949",
"pspTransID": "305157118717453"
},
"status": "Captured",
"transAmount": {
"currency": "HKD",
"value": "100.00"
}
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/payment_webhook`,
{
method: 'post',
body: '{
"merchantOrderInfo": {
"merchantOrderID": "T506061749179793117",
"status": "Paid"
},
"paymentMethod": {
"card": {
"first6No": "489533",
"fundingType": "credit",
"issuingCountry": "USA",
"last4No": "1119",
"paymentBrand": "Visa"
},
"type": "card"
},
"result": {
"code": "S0000",
"message": "success"
},
"transactionInfo": {
"evoTransInfo": {
"evoTransID": "pay_250606111750000121100793",
"evoTransTime": "2025-06-06T03:17:50Z",
"retrievalReferenceNum": "515711112257",
"traceNum": "112257",
"useInternalApiMapping": false
},
"merchantTransInfo": {
"merchantOrderReference": "T506061749179793117",
"merchantTransID": "f24c607f70064045961535b97c141972",
"merchantTransTime": "2025-06-06T11:17:50+08:00"
},
"pspTransInfo": {
"authorizationCode": "088949",
"pspTransID": "305157118717453"
},
"status": "Captured",
"transAmount": {
"currency": "HKD",
"value": "100.00"
}
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

